Skip to content

upsertMemo

WRITE

Upsert memo.

POST /api/v1/invoicing/upsertMemo
curl -X POST '<your-host>/api/v1/invoicing/upsertMemo' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "direction": "Credit",
    "memoDate": "string",
    "currencyCode": "string",
    "amount": 0,
    "_operation": "create"
  }'
Response
{
  "id": "string",
  "memoId": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
> 0
min length 1
"Credit""Debit"
min length 1
> 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "direction": {
      "type": "string",
      "enum": [
        "Credit",
        "Debit"
      ]
    },
    "customerId": {
      "type": "string"
    },
    "supplierId": {
      "type": "string"
    },
    "memoDate": {
      "type": "string",
      "minLength": 1
    },
    "currencyCode": {
      "type": "string",
      "minLength": 1
    },
    "exchangeRate": {
      "default": 1,
      "type": "number",
      "exclusiveMinimum": 0
    },
    "amount": {
      "type": "number",
      "exclusiveMinimum": 0
    },
    "reference": {
      "type": "string"
    },
    "notes": {
      "type": "string"
    },
    "memoId": {
      "type": "string"
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "direction",
    "memoDate",
    "currencyCode",
    "amount",
    "_operation"
  ]
}